function[TEST_seism_time, TEST_seism_Nev, TEST_IR_time_resampled, ...
    TEST_IR_data_resampled, Forecast_cumulated_Nev, CumSeis, Nsmpls] = calcrate_exponential(...
    Parameter_Samples, TEST_IR_time, TEST_IR_data, TEST_Tev_i, HighPrctile, LowPrctile, ...
        Dt_fcst)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Resample the IR data for considering the Dt for forecasts:

Ttmp = TEST_IR_time(1);
j=1;
while Ttmp + Dt_fcst <= TEST_IR_time(end)
    ind_ir_sel = find(and(TEST_IR_time>=Ttmp, TEST_IR_time<Ttmp+Dt_fcst));
    ind_seism = find(and(TEST_Tev_i>=Ttmp, TEST_Tev_i<Ttmp+Dt_fcst));
    TEST_IR_time_resampled(j,1) = median(TEST_IR_time(ind_ir_sel));
    if numel(ind_ir_sel)>0
        TEST_IR_data_resampled(j,1) = max(TEST_IR_data(ind_ir_sel));
    else
        TEST_IR_data_resampled(j,1) = 0;
    end    

    TEST_seism_time(j,1) = TEST_IR_time_resampled(j,1); %mean(TEST_Tev_i(ind_seism));
    TEST_seism_Nev(j,1) = length(ind_seism);
    j=j+1;
    Ttmp = Ttmp + Dt_fcst;
    clear ind_ir_sel ind_seism 
end

%Find IR values = 0 and set them as NaN:
clear ind
ind = find(TEST_IR_data_resampled<1e-6);
TEST_IR_data_resampled(ind) = NaN; %min(TEST_IR_data_resampled);

[Nsmpls, Npars] = size(Parameter_Samples);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Calculate seism. rtaes from IR data using the Power Law model
clear SeismRate
for i=1:Nsmpls
    %seism rate, Nev/day, rescaled to the forecasting window Dt_fcst:
    %SeismRate(:,i) = Dt_fcst.* ( (1./(10.^((Parameter_Samples(i,2).*(TEST_IR_data_resampled)) + Parameter_Samples(i,1)))) ); % Nev/Dt_fcst
    %indtmp = isnan(SeismRate(:,i));
    %SeismRate(indtmp,i) = 0;
    %clear indtmp 
    %CumSeis(:,i) = cumsum(SeismRate(:,i));
    MU(:,i) = Parameter_Samples(i,1).*(10.^((TEST_IR_data_resampled).*(Parameter_Samples(i,2)))); % days
    indtmp = isnan(MU(:,i));    
    MU(indtmp,i) = median(MU(~isnan(MU(:,i)),i));
    %SeismRate(:,i) = Dt_fcst.*(1./MU(:,i));
    for j=1:numel(TEST_IR_data_resampled)
        SeismRate(j,i) = Dt_fcst.*(1/median(exprnd(MU(j,i), 100,1)));
    end
    clear indtmp mu_tmp
    CumSeis(:,i) = cumsum(SeismRate(:,i));
    
end

for i=1:numel(TEST_IR_time_resampled)
    Forecast_cumulated_Nev(i,:) = [prctile(CumSeis(i,:), LowPrctile) median(CumSeis(i,:)) prctile(CumSeis(i,:), HighPrctile)];
end






